{-# LANGUAGE TemplateHaskell #-}
module NoSlow.Micro.StorableVector.Double
where

import qualified NoSlow.Backend.StorableVector as Impl
import qualified NoSlow.Micro.Kernels as K
import NoSlow.Backend.TH

import Language.Haskell.TH

$(specialise (Spec {
                specModule = "Impl"
              , specContext = \_ _ -> []
              , specVars    = [("v", ConT ''Impl.Vector),
                               ("a", ConT ''Double)]
              })
  K.kernels)

